// cds.ino
//
// 明るさを測る（CdSセル使用）
// 
// Written by Nobuki HIRAMINE
// Last modified : 2011/12/03

#include <LiquidCrystal.h>

#define SENSORPIN	(0)

LiquidCrystal g_lcd( 12, 11, 5, 4, 3, 2 );

void setup()
{
	g_lcd.begin( 16, 2 );
	g_lcd.clear();
}

void loop()
{
	int iValue = analogRead( SENSORPIN );
	double dV = iValue * 5.0 / 1023;
	
	double dR = 0.0;
	if( 0.005 < (5.0 - dV) )
	{
		dR = 10 * 1000 * dV / (5.0 - dV);
	}
	
	g_lcd.clear();
	g_lcd.setCursor( 0, 0 );
	g_lcd.print( dV );
	g_lcd.print( "[V]" );
	g_lcd.setCursor( 0, 1 );
	if( 0.0 == dR )
	{
		g_lcd.print( "Infinity" );
	}
	else
	{
		g_lcd.print( dR );
	}
	g_lcd.print( "[ohm]" );
	
	delay( 1000 );
}
